# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: Beanstream
    class: XC\Beanstream\Model\Payment\Processor\BeanstreamPaymentForm
    type: C
    countries: [CA, US]
    translations: [{code: en, name: Beanstream}, {code: es, name: Beanstream}]
    settings: [{name: merchantid}, {name: prefix}, {name: type, value: sale}, {name: hash_key}]
XLite\Model\LanguageLabel:
  - name: 'Beanstream number'
    translations: [{code: en, label: 'Merchant Id'}]
  - name: 'Order prefix'
    translations: [{code: en, label: 'Order prefix'}]
  - name: '9-digit Beanstream Merchant ID number assigned to you.'
    translations: [{code: en, label: '9-digit Beanstream Merchant ID number assigned to you.'}]
  - name: 'Beanstream hash key (SHA-1)'
    translations: [{code: en, label: 'Beanstream hash key (SHA-1)'}]
